/*
 * Some simple UART IO functions.
 *  modified from AVRFreaks
 */

#define F_CPU 8000000UL		/* CPU clock in Hertz (8 MHz) for internal RC Oscillator */
#include <util/delay.h>		/* for precision delays using the clock freq */

/* The representation in RAM of the memory  to be burned */
#define CHIPMEMSIZE     2048
extern uint8_t chipMemory[CHIPMEMSIZE];

/*
 * Send character c down the UART Tx, wait until tx holding register
 * is empty.
 */
void putchr(char c);

/* Get a character from the UART Rx, wait until the rx holding register
 * is set
 */
char getchr(void);

/*
 * Send a C (NUL-terminated) string down the UART Tx.
 */
void printstr(const char *s);

/*
 * Same as above, but the string is located in program memory,
 * so "lpm" instructions are needed to fetch it.
 */
void printstr_p(const char *s);

/*
 * returns a char given a received ascii character
 */
unsigned char ascii_to_bin(char data);

void printhex(uint8_t print_byte);
